/**
 * Project Name:tuia-youtui-web<br>
 * File Name:ShowLogReq.java<br>
 * Package Name:com.duiba.tuia.youtui.web.model.req<br>
 * Date:2017年2月15日下午2:37:44<br>
 * Copyright (c) 2017, duiba.com.cn All Rights Reserved.<br>
 */

package com.duiba.tuia.youtui.web.model.req;

import java.io.Serializable;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * ClassName: 曝光日志请求 <br/>
 * date: 2017年2月15日 下午2:37:44 <br/>
 *
 * @author youhaijun
 * @version
 * @since JDK 1.6
 */
public class WebShowClickLogReq implements Serializable {

    /**
     * @since JDK 1.6
     */
    private static final long serialVersionUID = 5798476176117919390L;

    /** The app id. */
    private Long              appId;

    /** 用户 id. */
    private Long              consumerId;

    /** The ip. */
    private String            ip;

    /** The user agent. */
    private String            userAgent;

    /** The os. */
    private String            os;

    private String            dpm;

    private String            dcm;

    private String            dsm;

    private String            orderId;

    private Long              slotId;

    private Long              advertId;

    private String            url;

    private Long              materialId;

    private String            deviceId;
    
    private Integer           activityUseType;
    
    private Long              activityId;


    /** 引导页的id*/
    private Long              pageId;

    private String            tick;

    /**表示券来源 */
    private String            couponSource;

    private Long              packageId;

    private Integer           styleType;

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public Long getConsumerId() {
        return consumerId;
    }

    public void setConsumerId(Long consumerId) {
        this.consumerId = consumerId;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getUserAgent() {
        return userAgent;
    }

    public void setUserAgent(String userAgent) {
        this.userAgent = userAgent;
    }

    public String getOs() {
        return os;
    }

    public void setOs(String os) {
        this.os = os;
    }

    public String getDpm() {
        return dpm;
    }

    public void setDpm(String dpm) {
        this.dpm = dpm;
    }

    public String getDcm() {
        return dcm;
    }

    public void setDcm(String dcm) {
        this.dcm = dcm;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public Long getSlotId() {
        return slotId;
    }

    public void setSlotId(Long slotId) {
        this.slotId = slotId;
    }

    public Long getAdvertId() {
        return advertId;
    }

    public void setAdvertId(Long advertId) {
        this.advertId = advertId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Long getMaterialId() {
        return materialId;
    }

    public void setMaterialId(Long materialId) {
        this.materialId = materialId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    
    public Integer getActivityUseType() {
        return activityUseType;
    }

    
    public void setActivityUseType(Integer activityUseType) {
        this.activityUseType = activityUseType;
    }

    
    public Long getActivityId() {
        return activityId;
    }

    
    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public String getDsm() {
        return dsm;
    }

    public void setDsm(String dsm) {
        this.dsm = dsm;
    }

    public Long getPageId() {
        return pageId;
    }

    public void setPageId(Long pageId) {
        this.pageId = pageId;
    }

    public String getTick() {
        return tick;
    }

    public void setTick(String tick) {
        this.tick = tick;
    }

    public String getCouponSource() {
        return couponSource;
    }

    public void setCouponSource(String couponSource) {
        this.couponSource = couponSource;
    }

    public Long getPackageId() {
        return packageId;
    }

    public void setPackageId(Long packageId) {
        this.packageId = packageId;
    }

    public Integer getStyleType() {
        return styleType;
    }

    public void setStyleType(Integer styleType) {
        this.styleType = styleType;
    }
}
